Vulnerabilità: CVE-2020-27217

Nella versione di Eclipse Hono 1.3.0 e 1.4.0 l’adattatore protocollo AMQP non verifica le dimensioni dei messaggi AMQP ricevuti dai dispositivi. In particolare, un dispositivo può inviare messaggi che sono più grandi rispetto alla max-messaggio-size che l’adattatore protocollo è indicato durante la creazione di collegamento. Mentre il protocollo AMQP 1.0 non consente in modo esplicito un peer di inviare tali messaggi, Una mano artigianale AMQP 1.0 client potrebbe sfruttare questo comportamento, al fine di inviare un messaggio di dimensioni illimitate all’adattatore, causando alla fine l’adattatore a fallire con un fuori un’eccezione di memoria.


https://bugs.eclipse.org/bugs/show_bug.cgi?id=567068
https://bugs.eclipse.org/bugs/show_bug.cgi?id=567068
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-27217


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi